## GnomeDbLoginDialog

GnomeDbLoginDialog — Login dialog widget

## Synopsis

                GnomeDbLoginDialogPrivate;
    GtkWidget*  gnome_db_login_dialog_new       (const gchar *title);
    gboolean    gnome_db_login_dialog_run       (GnomeDbLoginDialog *dialog);
    const gchar* gnome_db_login_dialog_get_dsn  (GnomeDbLoginDialog *dialog);
    const gchar* gnome_db_login_dialog_get_username
                                                (GnomeDbLoginDialog *dialog);
    const gchar* gnome_db_login_dialog_get_password
                                                (GnomeDbLoginDialog *dialog);
    GtkWidget*  gnome_db_login_dialog_get_login_widget
                                                (GnomeDbLoginDialog *dialog);

## Description

## Details

### GnomeDbLoginDialogPrivate

    typedef struct _GnomeDbLoginDialogPrivate GnomeDbLoginDialogPrivate;

### gnome_db_login_dialog_new ()

    GtkWidget*  gnome_db_login_dialog_new       (const gchar *title);

`title` : |
Returns : |

### gnome_db_login_dialog_run ()

    gboolean    gnome_db_login_dialog_run       (GnomeDbLoginDialog *dialog);

`dialog` : |
Returns : |

### gnome_db_login_dialog_get_dsn ()

    const gchar* gnome_db_login_dialog_get_dsn  (GnomeDbLoginDialog *dialog);

`dialog` : |
Returns : |

### gnome_db_login_dialog_get_username ()

    const gchar* gnome_db_login_dialog_get_username
                                                (GnomeDbLoginDialog *dialog);

`dialog` : |
Returns : |

### gnome_db_login_dialog_get_password ()

    const gchar* gnome_db_login_dialog_get_password
                                                (GnomeDbLoginDialog *dialog);

`dialog` : |
Returns : |

### gnome_db_login_dialog_get_login_widget ()

    GtkWidget*  gnome_db_login_dialog_get_login_widget
                                                (GnomeDbLoginDialog *dialog);

Get the GnomeDbLogin widget contained in a GnomeDbLoginDialog.

`dialog` : | A GnomeDbLoginDialog widget.
Returns : | the login widget contained in the dialog.